//------------------------------------------------------------------
//
//------------------------------------------------------------------
#property copyright "AHGduP"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 5
#property indicator_color1 EMPTY 
#property indicator_color2 EMPTY 
#property indicator_color3 EMPTY 
#property indicator_color4 EMPTY 
#property indicator_color5 EMPTY 

extern int    PeriodRSI             = 13;
extern int    PeriodStoch           = 8;
extern int    PeriodSK              = 5;
extern int    PeriodSD              = 5;
extern int    MAMode                = 3;
extern double SmoothPeriod          = 5;
extern int    SmoothPhase           = 0;
extern bool   SmoothDouble          = true;
extern int    MinMaxPeriod          = 50;
extern double LevelUp               =  92;
extern double LevelDown             =   8;

extern int CCI5_Period       = 5 ;
extern int CCI15_Period      = 5 ;
extern int CCI30_Period      = 5 ;
extern int CCI60_Period      = 5 ;
extern int CCI240_Period     = 5 ;

extern int        CCI_WIN5D   = 0;
extern int        Adj_UpDn   = 110;//120
extern int        Adj_LtRt   = 315;
extern int        TextSize   = 10;
extern bool       ShowDots   = true;

double CCI5W[];
double CCI15W[];
double CCI30W[];
double CCI60W[];
double CCI240W[];
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int init()
 {
    IndicatorDigits(+2);
    IndicatorBuffers(5);
    SetIndexBuffer(0, CCI5W);
    SetIndexBuffer(1, CCI15W);
    SetIndexBuffer(2, CCI30W);
    SetIndexBuffer(3, CCI60W);
    SetIndexBuffer(4, CCI240W);
 

//=============================MOD====================================================== 
         string  ThisName = "CCI_WIN5D";
         string Text=ThisName;
         IndicatorShortName(Text); 
         SetIndexLabel(0,"");    
}
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int deinit()
  {     Refresh();
        return(0);
  }
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
void start()
 {    Refresh();
      int add_y;
      int i,limit,LoopBegin=1;
//=====================================================================================================
      
      int HHE,HVE,  C5LH, C5LV,  C15LH,C15LV,   C30LH, C30LV,   C60LH, C60LV,   C240LH, C240LV ;
      int           C5LHD,       C15LHD,        C30LHD,         C60LHD,         C240LHD ;
  if  (CCI_WIN5D==0)
      {                
                         HHE    = 820 +Adj_LtRt;  HVE     = 150 +Adj_UpDn ; 
                        C5LH    = 820 +Adj_LtRt;  C5LV    = 170 +Adj_UpDn ; 
                        C15LH   = 820 +Adj_LtRt;  C15LV   = 190 +Adj_UpDn ; 
                        C30LH   = 820 +Adj_LtRt;  C30LV   = 210 +Adj_UpDn ; 
                        C60LH   = 820 +Adj_LtRt;  C30LV   = 230 +Adj_UpDn ; 
                        C240LH  = 820 +Adj_LtRt;  C240LV  = 250 +Adj_UpDn ; 
           //DOTS--             
                        C5LHD    = 850 +Adj_LtRt; 
                        C15LHD   = 850 +Adj_LtRt; 
                        C30LHD   = 850 +Adj_LtRt;  
                        C60LHD   = 850 +Adj_LtRt; 
                        C240LHD  = 850 +Adj_LtRt; 
                        
      }
   if  (CCI_WIN5D==1||2||3||4)
      {                 
                        HHE     = 820 +Adj_LtRt;  HVE     = 10  +Adj_UpDn ; 
                        C5LH    = 820 +Adj_LtRt;  C5LV    = 25  +Adj_UpDn ; 
                        C15LH   = 820 +Adj_LtRt;  C15LV   = 45  +Adj_UpDn ; 
                        C30LH   = 820 +Adj_LtRt;  C30LV   = 65  +Adj_UpDn ; 
                        C60LH   = 820 +Adj_LtRt;  C60LV   = 85  +Adj_UpDn ; 
                        C240LH  = 820 +Adj_LtRt;  C240LV  = 105 +Adj_UpDn ; 
                        
           //DOTS--             
                        C5LHD    = 860 +Adj_LtRt;//850
                        C15LHD   = 860 +Adj_LtRt; 
                        C30LHD   = 860 +Adj_LtRt;  
                        C60LHD   = 860 +Adj_LtRt; 
                        C240LHD  = 860 +Adj_LtRt;             
      }

//========================================================================================== 
  
 for (i=LoopBegin; i>=0; i--) {
      
      CCI5W[i]   = iCustom(NULL,PERIOD_M5 ,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,3,i);
      CCI15W[i]  = iCustom(NULL,PERIOD_M15,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,3,i);
      CCI30W[i]  = iCustom(NULL,PERIOD_M30,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,3,i);
      CCI60W[i]  = iCustom(NULL,PERIOD_H1, "#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,3,i);
      CCI240W[i] = iCustom(NULL,PERIOD_H4 ,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,3,i);
      
     double CCI5WP     = CCI5W[i+1];
     double CCI15WP    = CCI15W[i+1];
     double CCI30WP    = CCI30W[i+1];
     double CCI60WP    = CCI60W[i+1];
     double CCI240WP   = CCI240W[i+1];
     double CCI5WPm   = iCustom(NULL,PERIOD_M5  ,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,1,i);
     double CCI15WPm  = iCustom(NULL,PERIOD_M15 ,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,1,i);
     double CCI30WPm  = iCustom(NULL,PERIOD_M30 ,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,1,i);
     double CCI60WPm  = iCustom(NULL,PERIOD_H1  ,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,1,i);
     double CCI240WPm = iCustom(NULL,PERIOD_H4  ,"#DTosc 2.05 + Bells&Whistles-M-5 only","",PeriodRSI,PeriodStoch,PeriodSK,PeriodSD,MAMode,SmoothPeriod,SmoothPhase,SmoothDouble,MinMaxPeriod,LevelUp,LevelDown,false,false,false,false,0,0,"none",false,false,1,i);
      

//=======================  HEADINGE  =============================================================   
    
     ObjectCreate ("HEADINGE5D", OBJ_LABEL,CCI_WIN5D, 0, 0);
     ObjectSetText("HEADINGE5D", "   DTOSC 5" , TextSize, "Tahoma Bold", Gold);
     ObjectSet    ("HEADINGE5D", OBJPROP_XDISTANCE, HHE);
     ObjectSet    ("HEADINGE5D", OBJPROP_YDISTANCE, HVE); 

//=======================  CCI  =============================================================        
  
   { ObjectCreate("CCIT5_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI5W[i]>CCI5WPm ){ObjectSetText("CCIT5_lab5","(5)          "+DoubleToStr(CCI5W[i],1)+"", TextSize, "Tahoma Bold", Lime);}
 if  (CCI5W[i]<CCI5WPm ){ObjectSetText("CCIT5_lab5","(5)          "+DoubleToStr(CCI5W[i],1)+"", TextSize, "Tahoma Bold", Red);}
     ObjectSet("CCIT5_lab5", OBJPROP_XDISTANCE, C5LH);
     ObjectSet("CCIT5_lab5", OBJPROP_YDISTANCE, C5LV ); 
   }
   
   { ObjectCreate("CCIT15_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI15W[i]>CCI15WPm ){ObjectSetText("CCIT15_lab5","(15)        "+DoubleToStr(CCI15W[i],1)+"", TextSize, "Tahoma Bold", Lime);}
 if  (CCI15W[i]<CCI15WPm ){ObjectSetText("CCIT15_lab5","(15)        "+DoubleToStr(CCI15W[i],1)+"", TextSize, "Tahoma Bold", Red);}
     ObjectSet("CCIT15_lab5", OBJPROP_XDISTANCE, C15LH);
     ObjectSet("CCIT15_lab5", OBJPROP_YDISTANCE, C15LV ); 
   }
   
   { ObjectCreate("CCIT30_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI30W[i]>CCI30WPm ){ObjectSetText("CCIT30_lab5","(30)        "+DoubleToStr(CCI30W[i],1)+"", TextSize, "Tahoma Bold", Lime);}
 if  (CCI30W[i]<CCI30WPm ){ObjectSetText("CCIT30_lab5","(30)        "+DoubleToStr(CCI30W[i],1)+"", TextSize, "Tahoma Bold", Red);}
     ObjectSet("CCIT30_lab5", OBJPROP_XDISTANCE, C30LH);
     ObjectSet("CCIT30_lab5", OBJPROP_YDISTANCE, C30LV ); 
   }
   
   { ObjectCreate("CCIT60_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI60W[i]>CCI60WPm ){ObjectSetText("CCIT60_lab5","(H1)        "+DoubleToStr(CCI60W[i],1)+"", TextSize, "Tahoma Bold", Aqua);}//Lime
 if  (CCI60W[i]<CCI60WPm ){ObjectSetText("CCIT60_lab5","(H1)        "+DoubleToStr(CCI60W[i],1)+"", TextSize, "Tahoma Bold", Yellow);}//Red
     ObjectSet("CCIT60_lab5", OBJPROP_XDISTANCE, C60LH);
     ObjectSet("CCIT60_lab5", OBJPROP_YDISTANCE, C60LV ); 
   }
   
   { ObjectCreate("CCIT240_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI240W[i]>CCI240WPm ){ObjectSetText("CCIT240_lab5","(H4)        "+DoubleToStr(CCI240W[i],1)+"", TextSize, "Tahoma Bold", Lime);}
 if  (CCI240W[i]<CCI240WPm ){ObjectSetText("CCIT240_lab5","(H4)        "+DoubleToStr(CCI240W[i],1)+"", TextSize, "Tahoma Bold", Red);}
     ObjectSet("CCIT240_lab5", OBJPROP_XDISTANCE, C240LH);
     ObjectSet("CCIT240_lab5", OBJPROP_YDISTANCE, C240LV ); 
   }
   
//====================== DOT DIRECTION ========================================================
 if      (  ShowDots == true ){
     { ObjectCreate("CCIT5D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 //if  ((CCI5W[i] > 50 )&& (CCI5W[i] > CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", Lime);}
 //if  ((CCI5W[i] > 50 )&& (CCI5W[i] < CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", MediumSeaGreen);}
 if  ( (CCI5W[i] > CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI5W[i] < CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", Red);}
 
//f  ( (CCI5W[i] > CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", Red);}
 //  ( (CCI5W[i] < CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", IndianRed);}
     ObjectSet("CCIT5D_lab5", OBJPROP_XDISTANCE, C5LHD);
     ObjectSet("CCIT5D_lab5", OBJPROP_YDISTANCE, C5LV ); 
   }
   
   { ObjectCreate("CCIT15D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 if  ( (CCI15W[i] > CCI15WP )) {ObjectSetText("CCIT15D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI15W[i] < CCI15WP )) {ObjectSetText("CCIT15D_lab5","",10, "Wingdings", Red);}
     ObjectSet("CCIT15D_lab5", OBJPROP_XDISTANCE, C15LHD);
     ObjectSet("CCIT15D_lab5", OBJPROP_YDISTANCE, C15LV ); 
   }
   
   { ObjectCreate("CCIT30D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 if  ( (CCI30W[i] > CCI30WP )) {ObjectSetText("CCIT30D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI30W[i] < CCI30WP )) {ObjectSetText("CCIT30D_lab5","",10, "Wingdings", Red);}
     ObjectSet("CCIT30D_lab5", OBJPROP_XDISTANCE, C30LHD);
     ObjectSet("CCIT30D_lab5", OBJPROP_YDISTANCE, C30LV ); 
   }
   
   { ObjectCreate("CCIT60D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 if  ( (CCI60W[i] > CCI60WP )) {ObjectSetText("CCIT60D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI60W[i] < CCI60WP )) {ObjectSetText("CCIT60D_lab5","",10, "Wingdings", Red);}
     ObjectSet("CCIT60D_lab5", OBJPROP_XDISTANCE, C60LHD);
     ObjectSet("CCIT60D_lab5", OBJPROP_YDISTANCE, C60LV ); 
   }
   
   { ObjectCreate("CCIT240D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 if  ( (CCI240W[i] > CCI240WP )) {ObjectSetText("CCIT240D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI240W[i] < CCI240WP )) {ObjectSetText("CCIT240D_lab5","",10, "Wingdings", Red);}
     ObjectSet("CCIT240D_lab5", OBJPROP_XDISTANCE, C240LHD);
     ObjectSet("CCIT240D_lab5", OBJPROP_YDISTANCE, C240LV ); 
     Comment(CCI240W[i],"    ",CCI240WP);
   }
   }
//==============================================================================================  
     }
     }
//====================================================================
void Refresh() 
   {              
     
      ObjectDelete("HEADINGE5D");   
        
      ObjectDelete("CCIT5_lab5");   
      ObjectDelete("CCIT15_lab5");   
      ObjectDelete("CCIT30_lab5");
      ObjectDelete("CCIT60_lab5");    
      ObjectDelete("CCIT240_lab5"); 
      
      ObjectDelete("CCIT5D_lab5"); 
      ObjectDelete("CCIT15D_lab5"); 
      ObjectDelete("CCIT30D_lab5"); 
      ObjectDelete("CCIT60D_lab5");  
      ObjectDelete("CCIT240D_lab5"); 
   }
 
//------------------------------------------------------------------------------------+

